# TSPseudoComputeTimeStep

Computes the next timestep for a currently running pseudo-timestepping process.

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSPseudoComputeTimeStep(TS ts,PetscReal *dt)

Collective on TS

### Input Parameter

ts -timestep context

### Output Parameter

dt -newly computed timestep

### Notes

The routine to be called here to compute the timestep should be set by calling TSPseudoSetTimeStep().

### Keywords

timestep, pseudo, compute

### See Also

TSPseudoDefaultTimeStep(), TSPseudoSetTimeStep()

Level:advanced
Location: src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages